Vecna 1 miesiąc temu
rodzic
commit
e35a74765a
1 zmienionych plików z 7 dodań i 3 usunięć
  1. 7 3
      run.sh

+ 7 - 3
run.sh

@@ -1,15 +1,19 @@
 #!/bin/bash
 
 # Check that dependencies are installed before going further
-if ! command -v curl; then
+if [ -z "$(command -v curl)" ]; then
     echo "This script needs curl to be installed."
     exit 1
 fi
-if ! command -v python3; then
+if [ -z "$(command -v python3)" ]; then
     echo "This script needs python3 to be installed."
     exit 1
 fi
-./scripts/check-python-deps.py || echo "This script needs numpy to be installed." && exit 1
+./scripts/check-python-deps.py
+if [ "$?" != 0 ]; then
+    echo "This script needs numpy to be installed."
+    exit 1
+fi
 
 # Get bridge data
 if [ "$1" == "--fast" ]; then